swagger: '2.0'
info:
  title: MSPR maintenance applicative
  description: Ceci est la documentation de l'API.
  version: 1.0.0
host: localhost:3000

schemes:
  - http
paths:
  /espaces/ouverts:
    get:
      summary: Récupérer tous les espaces ouverts
      description: Récupérer tous les espaces ouverts
      produces:
        - application/json
      responses:
        200:
          description: OK
          
  /espaces/travaux:
    get:
      summary: Récupérer tous les espaces travaux
      description: Récupérer tous les espaces travaux
      produces:
        - application/json
      responses:
        200:
          description: OK
          
  /eclairage/horaires/{date}:
    get:
      parameters:
        - in: path
          name: date
          type: string
          required: true
      summary: Récupérer les éclairages
      description: Récupérer les éclairages avec une date
      produces:
        - application/json
      responses:
        200:
          description: OK
  /horaires/{code}/{date}:
    get:
      parameters:
        - in: path
          name: code
          type: string
          required: true
        - in: path
          name: date
          type: string
          required: true
      summary: Récupérer les horaires d'ouverture 
      description: Récupérer les horaires d'ouverture avec un code et une date
      produces:
        - application/json
      responses:
        200:
          description: OK
          
  /parse:
    post:
      summary: Parser XML en CSV
      description: Parser XML en CSV
      responses:
        200:
          description: OK